CVE-2021-32654

Name
CVE-2021-32654
Description
Nextcloud Server is a Nextcloud package that handles data storage. In versions prior to 19.0.11, 20.0.10, and 21.0.2, an attacker is able to receive write/read privileges on any Federated File Share. Since public links can be added as federated file share, this can also be exploited on any public link. Users can upgrade to patched versions (19.0.11, 20.0.10 or 21.0.2) or, as a workaround, disable federated file sharing.
NVD Severity
high
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
CONFIRM https://github.com/nextcloud/security-advisories/security/advisories/GHSA-jf9h-v24c-22g5
MISC https://hackerone.com/reports/1170024

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:nextcloud:nextcloud_server:*:*:*:*:*:*:*:* nextcloud_server >= None < 19.0.11
cpe:2.3:a:nextcloud:nextcloud_server:*:*:*:*:*:*:*:* nextcloud_server >= 20.0.0 < 20.0.10
cpe:2.3:a:nextcloud:nextcloud_server:*:*:*:*:*:*:*:* nextcloud_server >= 21.0.0 < 21.0.2

Vulnerable and fixed packages

Source package Branch Version Maintainer Status